Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003641 [JEDI VCL] 00 JVCL Components major always 2006-04-15 12:28 2006-04-30 06:50
Reporter kratsi View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.20
Summary 0003641: TJvTransparentButton is not transparent when clicked
Description I have a problem with transparency in a TJvTransparentButton - during runtime, when I click a button it always shows the background that is not transparent. I tried to compile a demo included in the release - the same, background of the button is not transparent. Is this a correct behavior? I want to have a bitmap on the button and the rest of the button to remain transparent all the time not only when in an active state. I have downloaded the Megademo and buttons there are as I want them - showing only bitmaps all the time without the rest of the button. I attach a sample - click on the button : it is no longer transparent.
Proposed fix:
In procedure DrawTheBitmap in line 1184 change a line:

if (bsMouseInside in MouseStates) and ((bsMouseDown in MouseStates) or Down) then

to:

if (bsMouseInside in MouseStates) and ((bsMouseDown in MouseStates) or Down) and not Transparent then

Now it works!

I don't know - maybe I do something wrong?
Additional Information
Tags No tags attached.
Attached Files ? file icon Project2.exe [^] (497,152 bytes) 2006-04-15 12:28
zip file icon butontest.zip [^] (349,319 bytes) 2006-04-18 01:28

- Relationships

-  Notes
(0009129)
obones (administrator)
2006-04-18 01:02

Please provide a zip file with the sources, the exe file is of no direct use to us.
(0009131)
kratsi (reporter)
2006-04-18 01:27

Sure. Here it is. The problem is just below the line with a comment {Norris} in function DrawTheBitmap. It draws a rectangle just before drawing the bitmap, when mouse is in the down state. Thats why I added not Transparent condition.
(0009140)
obones (administrator)
2006-04-19 03:15

Thanks, this is now fixed in SVN.
(0009191)
obones (administrator)
2006-04-27 05:37

Note: the fix was removed, its impacts were too great. If you want the desired effect, set the FrameStyle property to fsRegular.
(0009193)
Informatix (developer)
2006-04-27 07:44

The suggested fix works very well. The comment from Olivier (obones) is the reflect of my own stupidity. I'm really sorry.

- Issue History
Date Modified Username Field Change
2006-04-15 12:28 kratsi New Issue
2006-04-15 12:28 kratsi File Added: Project2.exe
2006-04-18 01:02 obones Note Added: 0009129
2006-04-18 01:02 obones Status new => feedback
2006-04-18 01:27 kratsi Note Added: 0009131
2006-04-18 01:28 kratsi File Added: butontest.zip
2006-04-19 03:15 obones Status feedback => resolved
2006-04-19 03:15 obones Resolution open => fixed
2006-04-19 03:15 obones Assigned To => obones
2006-04-19 03:15 obones Note Added: 0009140
2006-04-27 05:37 obones Note Added: 0009191
2006-04-27 05:37 obones Resolution fixed => won't fix
2006-04-27 07:44 Informatix Status resolved => feedback
2006-04-27 07:44 Informatix Resolution won't fix => reopened
2006-04-27 07:44 Informatix Note Added: 0009193
2006-04-30 06:50 Informatix Status feedback => resolved
2006-04-30 06:50 Informatix Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker